Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4078 - can't define multi-line macros in spec file
Summary: can't define multi-line macros in spec file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-16 21:53 UTC by Bill Nottingham
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-16 21:53:56 UTC


Attachments (Terms of Use)

Description Bill Nottingham 1999-07-16 21:53:56 UTC
In a macro file, the following is legal:

%foo \
  this is a test \
  of multiline macros

However, attempting to do the same thing in a spec file:

%define foo \
   this is a test \
   of multiline macros

gives:
 1>   %define^foo \
  0< (empty)
  0<   this is a test \
line 31: Unknown tag:   this is a test \

Comment 1 Bill Nottingham 2000-08-22 16:39:02 UTC
works now.


Note You need to log in before you can comment on or make changes to this bug.